#!/bin/bash

# Environmental variables:
#  HOST: the Jenkins host URL to poll from
#  SUITE: Ubuntu codename
#  MILESTONE: i.e. Alpha 2
#  SERIAL: What is the build serial, i.e 20130213
#  OUT: File to execute

set -x

# Setup the QA tracker code
bzr branch http://bazaar.launchpad.net/~jibel/+junk/qatracker
cd qatracker

bzr branch http://bazaar.launchpad.net/~ubuntu-qa-website-devel/ubuntu-qa-website/python-qatracker
ln -s python-qatracker/qatracker.py .
export PATH="${PATH}:${WORKSPACE}/qatracker"

# Get the actual working script
${scripts}/tests/tracker.py \
     --host ${HOST} \
     --suite ${SUITE} \
     --test ${TEST} \
     --milestone "${MILESTONE}" \
     --serial ${SERIAL} \
     --out "${WORKSPACE}/script.sh"

# Execute the script
env API_USER="${API_USER}" \
    API_KEY="${API_KEY}" \
    bash ${WORKSPACE}/script.sh ||
    exit 1 | tee publish.log
